summaryrefslogtreecommitdiffstats
path: root/games/beetle-psx-libretro
diff options
context:
space:
mode:
author Hunter Sezen2017-12-20 18:45:04 +0100
committer Willy Sudiarto Raharjo2017-12-21 02:19:26 +0100
commitdab94345dc9ab13f0090f71777c4bcb241825549 (patch)
treee0e6d2f20563b6ebff65889a790d591ca5756858 /games/beetle-psx-libretro
parentf3419ea1e54a22b7f5e8c4cdee17a0e49629219c (diff)
downloadslackbuilds-dab94345dc9ab13f0090f71777c4bcb241825549.tar.gz
games/beetle-psx-libretro: Updated for version 2017.12.20_48fd8c5.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/beetle-psx-libretro')
-rw-r--r--games/beetle-psx-libretro/beetle-psx-libretro.SlackBuild41
-rw-r--r--games/beetle-psx-libretro/beetle-psx-libretro.info6
-rw-r--r--games/beetle-psx-libretro/slack-desc2
3 files changed, 23 insertions, 26 deletions
diff --git a/games/beetle-psx-libretro/beetle-psx-libretro.SlackBuild b/games/beetle-psx-libretro/beetle-psx-libretro.SlackBuild
index 8728523976..3786c9a412 100644
--- a/games/beetle-psx-libretro/beetle-psx-libretro.SlackBuild
+++ b/games/beetle-psx-libretro/beetle-psx-libretro.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for beetle-psx-libretro
-# Copyright 2016 Hunter Sezen
+# Copyright 2016-2017 Hunter Sezen
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=beetle-psx-libretro
LIBNAM=mednafen_psx_libretro
-VERSION=${VERSION:-2017.08.11_a6bbea0}
+VERSION=${VERSION:-2017.12.20_48fd8c5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,20 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-DEBUG=${DEBUG:-0}
-HW=${HW:-0}
-if [ "$HW" != '1' ]; then
- OPENGL=${OPENGL:-0}
- VULKAN=${VULKAN:-0}
-else
- OPENGL=1
- VULKAN=1
-fi
-if [ "$OPENGL" = '1' ] || [ "$VULKAN" = '1' ]; then
- LIBNAM=$(echo $LIBNAM | sed 's/psx/psx_hw/')
-fi
-
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -85,16 +72,26 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-make DEBUG="$DEBUG" \
- GIT_VERSION="${VERSION#*_}" \
- VULKAN_DEBUG="$DEBUG" \
- HAVE_OPENGL="$OPENGL" \
- HAVE_VULKAN="$VULKAN"
+[ "${DEBUG:=0}" != 0 ] && DEBUG=1
+[ "${HW:-0}" != 0 ] && { OPENGL=1; VULKAN=1; }
+[ "${OPENGL:=0}" != 0 ] && OPENGL=1
+[ "${VULKAN:=0}" != 0 ] && VULKAN=1
+
+if [ $OPENGL != 0 ] || [ $VULKAN != 0 ]; then
+ LIBNAM="$(printf %s "$LIBNAM" | sed 's/psx/psx_hw/')"
+fi
+
+make \
+ DEBUG=$DEBUG \
+ VULKAN_DEBUG=$DEBUG \
+ HAVE_OPENGL=$OPENGL \
+ HAVE_VULKAN=$VULKAN \
+ GIT_VERSION="${VERSION#*_}"
install -Dm0644 $LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
-if [ "$DEBUG" = 0 ]; then
+if [ $DEBUG = 0 ]; then
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
fi
diff --git a/games/beetle-psx-libretro/beetle-psx-libretro.info b/games/beetle-psx-libretro/beetle-psx-libretro.info
index 0ee458b0bb..dd3a221b6b 100644
--- a/games/beetle-psx-libretro/beetle-psx-libretro.info
+++ b/games/beetle-psx-libretro/beetle-psx-libretro.info
@@ -1,8 +1,8 @@
PRGNAM="beetle-psx-libretro"
-VERSION="2017.08.11_a6bbea0"
+VERSION="2017.12.20_48fd8c5"
HOMEPAGE="https://www.libretro.com/"
-DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/beetle-psx-libretro-2017.08.11_a6bbea0.tar.xz"
-MD5SUM="9801856b8298db468c1232f1781a9bdf"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/beetle-psx-libretro-2017.12.20_48fd8c5.tar.xz"
+MD5SUM="3340f5fa31e35266b8bb781c67bbba18"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="RetroArch"
diff --git a/games/beetle-psx-libretro/slack-desc b/games/beetle-psx-libretro/slack-desc
index 867febff1f..c4d2bc1506 100644
--- a/games/beetle-psx-libretro/slack-desc
+++ b/games/beetle-psx-libretro/slack-desc
@@ -12,7 +12,7 @@ beetle-psx-libretro: Mednafen PSX (Beetle PSX) is a Sony PlayStation1 video game
beetle-psx-libretro: emulator that can be used as a libretro core. It is a libretro port
beetle-psx-libretro: of Mednafen PlayStation.
beetle-psx-libretro:
-beetle-psx-libretro: Homepage: http://www.libretro.com/
+beetle-psx-libretro: Homepage: https://www.libretro.com/
beetle-psx-libretro:
beetle-psx-libretro:
beetle-psx-libretro: